#version 430

layout (location = 0) in vec3 pos;
layout (location = 1) in vec4 color;
layout (location = 2) in vec2 tex;

uniform mat4 projMatrix;
uniform mat4 viewMatrix;

out vec4 outColor;
out vec2 outTex;

void main(void)
{ 
    outTex = tex;
    outColor = color;
    gl_Position = projMatrix * viewMatrix * vec4(pos, 1.0);
}